export declare enum AcdcNotificationLevel {
    Success = "Success",
    Info = "Info",
    Warn = "Warn",
    Error = "Error",
}
export declare enum AcdcNotificationState {
    Created = "Created",
    Dismissed = "Dismissed",
}
export declare class AcdcToastNotifcationLevelConfig {
    titleColor?: string;
    messageColor?: string;
    backgroundColor?: string;
    iconsColor?: string;
}
export declare class AcdcToastsDefaultConfig {
    warn?: AcdcToastNotifcationLevelConfig;
    info?: AcdcToastNotifcationLevelConfig;
    error?: AcdcToastNotifcationLevelConfig;
    success?: AcdcToastNotifcationLevelConfig;
    titleColor?: string;
    messageColor?: string;
    backgroundColor?: string;
    iconsColor?: string;
}
export declare class AcdcNotifcationsDefaultConfig {
    toast?: AcdcToastsDefaultConfig;
}
export interface AcdcToastConfig {
    title?: string;
    message: string;
    timeout?: number;
    notificationLevel?: string;
}
export interface AcdcToast {
    id: string;
    title?: string;
    message: string;
    notificationLevel: AcdcNotificationLevel;
    timeout?: number;
    notificationState: AcdcNotificationState;
}
